Package org.apache.sysds.lops

# Enum Class WeightedCrossEntropy.WCeMMType

java.lang.Object
java.lang.Enum<WeightedCrossEntropy.WCeMMType>
org.apache.sysds.lops.WeightedCrossEntropy.WCeMMType

All Implemented Interfaces:
  `Serializable`, `Comparable<WeightedCrossEntropy.WCeMMType>`, `Constable`

Enclosing class:
  WeightedCrossEntropy

public static enum WeightedCrossEntropy.WCeMMType extends Enum<WeightedCrossEntropy.WCeMMType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC`
`BASIC_EPS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasFourInputs()`
`static WeightedCrossEntropy.WCeMMType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedCrossEntropy.WCeMMType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC

public static final WeightedCrossEntropy.WCeMMType BASIC

### BASIC_EPS

public static final WeightedCrossEntropy.WCeMMType BASIC_EPS

## Method Details

### values

public static WeightedCrossEntropy.WCeMMType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WeightedCrossEntropy.WCeMMType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### hasFourInputs

public boolean hasFourInputs()